---
title: URL.hash
slug: Web/API/URL/hash
tags:
  - API
  - Property
  - Reference
  - URL
  - URL API
---
<div>{{ APIRef("URL API") }}</div>

<p><span class="seoSummary">The <strong><code>hash</code></strong> property of the {{domxref("URL")}} interface is a {{domxref("USVString")}} containing a <code>'#'</code> followed by the fragment identifier of the URL.</span></p>

<p>The fragment is not <a href="/en-US/docs/Glossary/percent-encoding">percent-decoded</a>. If the URL does not have a fragment identifier, this property contains an empty string — <code>""</code>.</p>

<p>{{AvailableInWorkers}}</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">const <em>string</em> = <em>url</em>.hash
<em>url</em>.hash = <em>newHash</em>
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("USVString")}}.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">const url = new URL('https://developer.mozilla.org/en-US/docs/Web/API/URL/href#Examples');
console.log(url.hash); // Logs: '#Examples'</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('URL', '#dom-url-hash', 'URL.hash')}}</td>
   <td>{{Spec2('URL')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.URL.hash")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("URL")}} interface it belongs to.</li>
</ul>
